Debian Bug report logs - #665415
ITP: python3-dateutil -- powerful extensions to the standard datetime module in Python 3

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Kluyver <thomas@kluyver.me.uk>

Date: Fri, 23 Mar 2012 23:21:02 UTC

Owned by: Thomas Kluyver <thomas@kluyver.me.uk>

Severity: wishlist

Fixed in version python3-dateutil/2.0+dfsg1-1

Done: Thomas Kluyver <thomas@kluyver.me.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#665415; Package wnpp. (Fri, 23 Mar 2012 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Kluyver <thomas@kluyver.me.uk>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 23 Mar 2012 23:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Kluyver <thomas@kluyver.me.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python3-dateutil -- powerful extensions to the standard datetime module in Python 3
Date: Fri, 23 Mar 2012 23:18:09 +0000
Package: wnpp
Severity: wishlist
Owner: Thomas Kluyver <thomas@kluyver.me.uk>
X-Debbugs-Cc: debian-devel@lists.debian.org

* Package name    : python3-dateutil
  Version         : 2.0
  Upstream Author : Gustavo Niemeyer <gustavo@niemeyer.net>
* URL             : http://labix.org/python-dateutil
* License         : BSD
  Programming Lang: Python
  Description     : powerful extensions to the standard datetime
module in Python 3

 It features:
 .
  * computing of relative deltas (next month, next year, next monday, last week
    of month, etc);
  * computing of relative deltas between two given date and/or datetime objects
  * computing of dates based on very flexible recurrence rules, using a superset
    of the iCalendar specification. Parsing of RFC strings is supported as well.
  * generic parsing of dates in almost any string format
  * timezone (tzinfo) implementations for tzfile(5) format files
    (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string (in all
    known formats), iCalendar format files, given ranges (with help from
    relative deltas), local machine timezone, fixed offset timezone, UTC
    timezone
  * computing of Easter Sunday dates for any given year, using Western, Orthodox
    or Julian algorithms




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Thomas Kluyver <thomas@kluyver.me.uk>:
You have taken responsibility. (Tue, 01 May 2012 09:23:20 GMT) Full text and rfc822 format available.

Notification sent to Thomas Kluyver <thomas@kluyver.me.uk>:
Bug acknowledged by developer. (Tue, 01 May 2012 09:23:28 GMT) Full text and rfc822 format available.

Message #12 received at 665415-close@bugs.debian.org (full text, mbox):

From: Thomas Kluyver <thomas@kluyver.me.uk>
To: 665415-close@bugs.debian.org
Subject: Bug#665415: fixed in python3-dateutil 2.0+dfsg1-1
Date: Tue, 01 May 2012 09:20:24 +0000
Source: python3-dateutil
Source-Version: 2.0+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
python3-dateutil, which is due to be installed in the Debian FTP archive:

python3-dateutil_2.0+dfsg1-1.debian.tar.gz
  to main/p/python3-dateutil/python3-dateutil_2.0+dfsg1-1.debian.tar.gz
python3-dateutil_2.0+dfsg1-1.dsc
  to main/p/python3-dateutil/python3-dateutil_2.0+dfsg1-1.dsc
python3-dateutil_2.0+dfsg1-1_all.deb
  to main/p/python3-dateutil/python3-dateutil_2.0+dfsg1-1_all.deb
python3-dateutil_2.0+dfsg1.orig.tar.gz
  to main/p/python3-dateutil/python3-dateutil_2.0+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665415@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Kluyver <thomas@kluyver.me.uk> (supplier of updated python3-dateutil package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 25 Apr 2012 11:43:49 +0100
Source: python3-dateutil
Binary: python3-dateutil
Architecture: source all
Version: 2.0+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Thomas Kluyver <thomas@kluyver.me.uk>
Description: 
 python3-dateutil - powerful extensions to the standard datetime module in Python 3
Closes: 665415
Changes: 
 python3-dateutil (2.0+dfsg1-1) unstable; urgency=low
 .
   * Initial release (Closes: #665415)
   * Copy patch to use C locale in example from python-dateutil
   * Patch for running tests on Python >= 3.2
   * Patch updating readme
   * Patch fixing bug with reading binary timezone files
   * Repackage source without binary parts
   * Update tests that depend on the missing binary parts to call alternative
Checksums-Sha1: 
 6a66ef5768b050545cd55ec9e2ed0fd4ceb33e9f 2091 python3-dateutil_2.0+dfsg1-1.dsc
 3fde1c63f0a7cba50529263f889b808e3e3775ba 61856 python3-dateutil_2.0+dfsg1.orig.tar.gz
 430643aa24cecc8db2a01c0d8ded01be1468914f 5067 python3-dateutil_2.0+dfsg1-1.debian.tar.gz
 e492a324aa7e8076d2d9bd122883e373d57ccc6f 49154 python3-dateutil_2.0+dfsg1-1_all.deb
Checksums-Sha256: 
 652a4008194af7b7ab1a217049a643ac532abf33fe8c521f7af774077bcf9ce5 2091 python3-dateutil_2.0+dfsg1-1.dsc
 5bd50125ca0c6b39a95a769e269b83df5a1b88675a9a797decfef9e09bfc6a2c 61856 python3-dateutil_2.0+dfsg1.orig.tar.gz
 ef1df2cde3f252dcec86c183ebb3af1041d8a027e0b09c8952bc11ed0e2b7a37 5067 python3-dateutil_2.0+dfsg1-1.debian.tar.gz
 45fe4aac9630bc215f0859129072b86eb93dad526bf2a1e0f8c6e38d8cd1645e 49154 python3-dateutil_2.0+dfsg1-1_all.deb
Files: 
 006d846755b99939ed852b2c55f0f524 2091 python optional python3-dateutil_2.0+dfsg1-1.dsc
 6ecb504b5612fd07a83b75aa7b831cab 61856 python optional python3-dateutil_2.0+dfsg1.orig.tar.gz
 c50f85663e838f3ee9b0aa8e0211fc3d 5067 python optional python3-dateutil_2.0+dfsg1-1.debian.tar.gz
 5de3cda8c446e3525000308902cebf82 49154 python optional python3-dateutil_2.0+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPl+CHAAoJEC1Os6YBVHX1TSwQALCHJe4xYa3ocVmRy8k44Bzr
2Jn7T1zLNrsArSsYCH4PO7MqwAsVzim/UFzuCzqgZ98Xs7aBAKzcjUhy2UvmfF7R
cw9tegmg0okKcXv4IuFtaTQ72/Dl5200lkqsEAfhm7xVu3WbWfaL/jfIXaEW7rcW
pl7rOFi/BeCS2fplNg63PY6Ue/1dVU7MT6LqmAO+UaL0MSHjixc4HPizM2LdDNq8
Sp/Qmu4daEZ7BmpSZeyDfaUJU8Ob2LCLLKNTaSM+stwX/l4ukfADflyzXdTArMMT
fNw+tFknYMm04y+b8rX5dEUIDIEODPxGvOlImIz8M/oq4K/oxNPX38ouYX+xqpI8
uS6u7kgKum1NL68uFNvPlCI0ykDMGAo5rEOLCHjJWPsxyCmvfgSw+JzJtWpP+hdS
bA1lEFFhtNTbs7QhX//MC3IpWwSPUTq1eaN4KxgR01oks8HHfj90mEUKTlueQi8C
8QPNR6zHq+9L4JM8Q9BJ2PzPOKCwNvKwZYQZtyZN6g6+aVK4+F9urggCrkAonRuX
eJQb84+/oKAXq/0m8Ov32gOG4cONFHwrxxWicpBVrfVRNxyAnYBMvZceYxB1tuj3
4tsSa5lo0Jy7Ekcm2JI42feinjHAy7QkSxTm4hbDL/0CXuMPF/kNEuXL8QkFMKJ7
3Y9u3cOa+YNvYdbGj0Ni
=8jSy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 May 2012 07:34:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 12:04:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.